Skip to main content
PATCH
Update a database user
Required permission: database_user.edit

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

database
string | null
required

The database identifier

databaseUser
string | null
required

The database user identifier

Body

application/json
type
enum<string>
required

Whether the user may read and write data, or only read it.

Available options:
read_write,
read_only
databases
string[]
required

The identifiers of the databases in this cluster that the user may access. Replaces the user's current access. Pass an empty array to grant access to none.

Response

DatabaseUserResource

data
DatabaseUserResource · object
required
included
(DatabaseResource · object | DatabaseSchemaResource · object)[]